Wt examples: ChartConfig::AxisControl Struct Reference

Wt examples 4.10.4

Loading...
Searching...
No Matches
Public Attributes | List of all members
ChartConfig::AxisControl Struct Reference

Struct that holds the controls for one axis. More...

## Public Attributes
Wt::WCheckBox * | visibleEdit
Wt::WComboBox * | scaleEdit
Wt::WCheckBox * | autoEdit
Wt::WLineEdit * | minimumEdit
Wt::WLineEdit * | maximumEdit
Wt::WCheckBox * | gridLinesEdit
Wt::WLineEdit * | labelAngleEdit
Wt::WLineEdit * | titleEdit
Wt::WComboBox * | titleOrientationEdit
Wt::WComboBox * | tickDirectionEdit
Wt::WComboBox * | locationEdit

## Detailed Description

Struct that holds the controls for one axis.

Definition at line 69 of file ChartConfig.h.

## Member Data Documentation

## ◆ autoEdit

Wt::WCheckBox* ChartConfig::AxisControl::autoEdit

Definition at line 72 of file ChartConfig.h.

## ◆ gridLinesEdit

Wt::WCheckBox* ChartConfig::AxisControl::gridLinesEdit

Definition at line 75 of file ChartConfig.h.

## ◆ labelAngleEdit

Wt::WLineEdit* ChartConfig::AxisControl::labelAngleEdit

Definition at line 76 of file ChartConfig.h.

## ◆ locationEdit

Wt::WComboBox* ChartConfig::AxisControl::locationEdit

Definition at line 80 of file ChartConfig.h.

## ◆ maximumEdit

Wt::WLineEdit* ChartConfig::AxisControl::maximumEdit

Definition at line 74 of file ChartConfig.h.

## ◆ minimumEdit

Wt::WLineEdit* ChartConfig::AxisControl::minimumEdit

Definition at line 73 of file ChartConfig.h.

## ◆ scaleEdit

Wt::WComboBox* ChartConfig::AxisControl::scaleEdit

Definition at line 71 of file ChartConfig.h.

## ◆ tickDirectionEdit

Wt::WComboBox* ChartConfig::AxisControl::tickDirectionEdit

Definition at line 79 of file ChartConfig.h.

## ◆ titleEdit

Wt::WLineEdit* ChartConfig::AxisControl::titleEdit

Definition at line 77 of file ChartConfig.h.

## ◆ titleOrientationEdit

Wt::WComboBox* ChartConfig::AxisControl::titleOrientationEdit

Definition at line 78 of file ChartConfig.h.

## ◆ visibleEdit

Wt::WCheckBox* ChartConfig::AxisControl::visibleEdit

Definition at line 70 of file ChartConfig.h.

The documentation for this struct was generated from the following file:

- charts/ChartConfig.h